%define subrel 1

Name:		pcmanfm
Version:	0.5.2
Release:	%mkrel 3

Summary:	PCMan File Manager
License: 	GPLv2+
URL: 		http://pcmanfm.sourceforge.net/
Group: 		File tools
Source0:	http://ovh.dl.sourceforge.net/sourceforge/pcmanfm/%name-%version.tar.bz2
Source1:	zh_CN.po
Patch0:		pcmanfm-0.5-fix-str-fmt.patch
Patch1:		pcmanfm-0.5.2-fix-ca-trans.patch
# (ahmad) patch from exo upstream to make treeview work with gtk > 2.18
# pcmanfm uses a bundled copy of exo
Patch2:		pcmanfm-0.5.2-exo-fix-treeview.patch
BuildRequires:	libgamin-devel
BuildRequires:	gtk+2-devel >= 2.8
BuildRequires:	libcairo-devel startup-notification-devel
BuildRequires:	pkgconfig desktop-file-utils
BuildRequires:	hal-devel dbus-glib-devel
BuildRequires:	intltool
Requires:	gamin
Requires:	shared-mime-info
Requires:	gnome-icon-theme
Suggests:	curlftpfs sshfs-fuse fusesmb
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PCMan File Manager is an extremly fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
cp %{SOURCE1} po/zh_CN.po

# patch bundled copy of exo to make treeview work with gtk > 2.18
pushd src/exo
%patch2 -p2 -b .exo-treeview
popd

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

# menu
# this fixes all of them
desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --remove-mime-type="x-directory/normal;x-directory/gnome-default-handler" \
  --add-only-show-in="LXDE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

# specific fixes for pcmanfm.desktop
desktop-file-install --vendor="" \
  --add-category="FileManager;FileTools;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/pcmanfm.desktop

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%update_mime_database
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_mime_database
%endif

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS TODO README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pcmanfm
%_datadir/mime/packages/libmimetype.xml
%_datadir/pixmaps/pcmanfm.png


%changelog
* Mon Jul 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.2-3.1mdv2010.1
+ Revision: 560882
- add patch to fix bundled exo and make treeview work with gtk > 2.18

* Mon Mar 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.2-0.alpha.1mdv2010.1
+ Revision: 519119
+ rebuild (emptylog)

* Sun Mar 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.2-3mdv2010.1
+ Revision: 518805
- fix .desktop files properly, also add OnlyShowIn=, like nautilus and thunar

* Fri Mar 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.2-2mdv2010.1
+ Revision: 518382
- fix .desktop files to make them comply with xdg specs

* Mon Oct 26 2009 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 459330
- fix ca translation
- New version 0.5.2 (compatible with latest shared-mime-info)

* Fri Jun 05 2009 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 383094
- New version 0.5.1

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.5-2mdv2009.1
+ Revision: 364426
- update zh_CN translation

* Fri Mar 06 2009 Emmanuel Andry <eandry@mandriva.org> 0.5-1mdv2009.1
+ Revision: 350542
- diff P0 to fix string format not literal

* Wed Jul 16 2008 Funda Wang <fwang@mandriva.org> 0.5-1mdv2009.0
+ Revision: 236513
- New version 0.5

* Wed Jul 16 2008 Funda Wang <fwang@mandriva.org> 0.4.6.2-1mdv2009.0
+ Revision: 236228
- update to new version 0.4.6.2

* Tue Jul 15 2008 Funda Wang <fwang@mandriva.org> 0.4.6.1-1mdv2009.0
+ Revision: 235851
- update to new version 0.4.6.1

* Sat Jun 28 2008 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2009.0
+ Revision: 229724
- BR intltool
- New version 0.4.5

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 0.4.4.0-1mdv2009.0
+ Revision: 208577
- New version 0.4.4.0

* Sun May 11 2008 Funda Wang <fwang@mandriva.org> 0.4.1.1-1mdv2009.0
+ Revision: 205507
- update to new version 0.4.1.1

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.0
+ Revision: 200888
- New version 0.4.0

* Wed Mar 05 2008 Antoine Ginies <aginies@mandriva.com> 0.3.6.2-1mdv2008.1
+ Revision: 180113
- new release
- new release 3.6.2

* Tue Feb 26 2008 Funda Wang <fwang@mandriva.org> 0.3.6.1-1mdv2008.1
+ Revision: 175409
- update to new version 0.3.6.1

* Mon Feb 18 2008 Funda Wang <fwang@mandriva.org> 0.3.5.23-1mdv2008.1
+ Revision: 171541
- New version 0.3.5.23

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 0.3.5.7-1mdv2008.1
+ Revision: 161852
- New version 0.3.5.7

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Jan 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.2.2-1mdv2007.0
+ Revision: 104027
- Add BuildRequires
- New release 0.3.2.2
- Import pcmanfm

* Thu Sep 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-2mdv2007.0
- add buildrequires libstartup-notification-1_0-devel

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-1mdk
- New release 0.3.0.2
- xdg menu

* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Fri Apr 21 2006 Austin Acton <austin@mandriva.org> 0.2.2-1mdk
- upload havily modified spec from Shiva Huang <shivahuang@gmail.com>

